#include <fstream.h>
#include <math.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

void Input(){
}

void Solve(){
}

void Output(){
}
long N;
int main(){
	ifstream fi("heapsort.in");
	ofstream fo("heapsort.out");
	cin = fi;
	cout = fo;
	cin >> N;
	for (long i = N; i > 0; i--)
		cout << i << (i == 1 ? "" : " ");
	Input();
	Solve();
	Output();
	return 0;
}
